#include <X11/X.h>
#include <X11/Xatom.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <Xm/Xm.h>
#include <xwidget.h>

/*
** SI Widget Integration Code
*/

Boolean SI_ComboBox_can_add_child ( xw, class )
        XWidget_p xw;
        WidgetClass class;
{
	return False ;
}

Boolean SI_NumericText_can_add_child ( xw, class )
        XWidget_p xw;
        WidgetClass class;
{
	return False ;
}


char *SI_defined_name ( name )
	char *name ;
{
	static char temp[256] ;

	(void) sprintf(temp,"XmN%s",name) ;

	return temp ;
}
